<template>
  <div>
    <closeheader  v-bind:titolosezione="$t('certificato_title')"  parent='about'/>
    <v-container class="maxwidth">
    <v-container px-4 fill-height grid-list-md text-xs-center class="maxwidth">
      <v-layout mt-3 row wrap px-0 align-center>
        <v-flex xs2 sm2 md2>
            <img class="text-xs-center ic-badge" fluid src="../assets/Icons/Black/Certificato@2x.png"/>  
        </v-flex>
        <v-flex xs10 sm10 md10>
          <h2 class="text-xs-left">{{ $t(stepId) }}</h2>
        </v-flex>
        <v-flex xs12 sm12 md12>
          <p class="mt-3 text-xs-left">{{ $t(stepDesc) }}</p>
          </v-flex>
      </v-layout>            
    </v-container>

    <v-container pb-0 pt-0 fill-height grid-list-md text-xs-center class="maxwidth"> 
      <v-layout row wrap px-0 align-center>
        <v-flex xs12 sm12 md12>
          <h3 class="pb-2 text-xs-left titoletto">{{ $t('timestamp') }}</h3>
          <p class="pb-3 bordobottom text-xs-left description">{{timestamp}}</p>
        </v-flex>
      </v-layout>            
    </v-container>
      <v-container pb-0 pt-0 fill-height grid-list-md text-xs-center class="maxwidth"> 
      <v-layout row wrap px-0 align-center>
        <v-flex xs12 sm12 md12 v-if="type === 'tx'">
          <h3 class="pb-3 text-xs-left titoletto">{{ $t('transaction_id') }}</h3>
          <p class="ow pb-3 bordobottom text-xs-left description">{{ txhash }}</p>
        </v-flex>
        <v-flex xs12 sm12 md12 v-else>
          <h3 class="pb-3 text-xs-left titoletto">{{ $t('address') }}</h3>
          <p class="ow pb-3 bordobottom text-xs-left description">{{ txhash }}</p>
        </v-flex>
      </v-layout>
    </v-container>  
    <v-container fill-height grid-list-md text-xs-center class="maxwidth sfondo1"> 
      <v-layout d-inline-flex row wrap mx-1 px-1 align-center>

        <v-flex d-inline-flex xs6 sm6 md6>
          <h3 class="text-xs-left titoletto">
            {{ $t('n_lotto') }}
           {{posts.code}}
          </h3>
        </v-flex>
        <v-flex d-inline-flex xs6 sm6 md6>
          <h3 class="text-xs-right titoletto">
            {{ $t('prodotto_il') }}
            24/02/2020
          </h3>
        </v-flex>

      </v-layout>            
    </v-container>

    <v-container mt-3 fill-height grid-list-md  class="maxwidth"> 
      <v-layout align-center justify-center row fill-height>
    
          <button class="bottone">
            <a :href='etherscan' target="_blank">{{ $t('certificato_sul_registro_pubblico') }}</a>
          </button>
        
      </v-layout>            
    </v-container>
    </v-container> 
  </div>
</template>

<script>
import closeheader from '@/components/closeheader'

export default({
  name: 'certificato',
  props: {
    certificateId: String

  },
  data () {
    return {
      posts: this.$store.getters.BATCHINFO,
      stepId: this.$route.params.stepId,
      stepDesc: this.$route.params.stepDesc,
      txhash: this.$route.params.txhash,
      timestamp: this.$route.params.timestamp,
      blockheader: this.$route.params.blockheader,
      type: this.$route.params.type
    }
  },
  computed: {
    etherscan () {
      return 'https://rinkeby.etherscan.io/' + this.type + '/' + this.txhash
    }
  },
  components: {
    closeheader
  }
})
</script>

<style scoped>

.bordobottom{
 border-bottom: 2px solid #ffffff;
}
.sfondo1{
  background-color: #ffffd7;
  font-size:95%;

}
.titoletto{
  white-space: nowrap;
  opacity: 0.8;
}
.ic-badge{
  width: 100%
}
.ow {
  overflow-wrap: break-word;
  word-wrap: break-word;
  hyphens: auto;
}

.bottone,a{
  text-decoration: none!important;
  margin:auto;
  font-weight: 600;
  background-color: #ffda00;
  color:black;
  padding: 10px;
  border-radius: 999rem;
  white-space: nowrap;
}

@media screen and (max-width: 400px) {
  .sfondo1{
    font-size:75%;
  }
}
</style>